# Developry Lite

Version: 1.0.4

## Author

Krasen Slavov [@krasen](https://developry.com/author/krasen)

## Summary

**A blog-only (lite version) of our Developry multi-purpose theme. Developry Lite comes up with a full set of features.**

![](https://developry.com/developry-lite-screenshot.png "1.0.2 Screenshot")

Not only the default theme support but there are also custom theme options available via the Appearance > Customize > Theme Options panel. For example, custom theme styles, fluid/fixed containers, sidebar position management and cover image visibility.

A starter content theme support is utilized with added default posts/pages/menus/widgets/etc. which make it perfect starting point for your freshly installed website. The theme can be easily customized using Bootstrap classes and also extended with custom CSS because of its minimal use of styles. It comes with a [Developry Bootstrap 4 Shortcodes](https://github.com/krasenslavov/developry-bs4-shortcodes) plugin (now in beta) that can be used to quickly and easily create page layouts and single components.


## [Live Preview](https://developry.com/developry-lite-preview/)

## [Getting Started](https://developry.com/developry-lite/getting-started/)

With 3 easy steps you can install and add starter content to your new website.

1. INSTALL DEVELOP(RY) LITE
2. INSTALL THE RECOMMENDED PLUGINS
3. PUBLISH YOUR STARTER WEBSITE

Full details and a quick 2 minutes video can be found on our [Developry Lite](https://developry.com/developry-lite/getting-started/) documentation getting started page.

## [Features](https://developry.com/developry-lite/features/)

**Features:** Background Custom Colors, Custom Header, Custom Logo, Custom Menu Editor Style, Featured Images, Header Featured Images, Flexible Header, Footer Widgets, Front Page Posting, Full Width Template, Archive Template, Sticky Post, Theme Options, Threaded Comments, Translation Ready, Starter Content, Navigation Menus, Responsive, Covers, Page Excerpts, Contact Form Ready etc.

**Tags:** blog, left-sidebar, right-sidebar, one-column, custom-background, custom-colors, custom-header, custom-logo, custom-menu, editor-style, featured-image-header, featured-images, flexible-header, footer-widgets, full-width-template, sticky-post, theme-options, threaded-comments, translation-ready

Full set of features can be found on our [Developry Lite](https://developry.com/developry-lite/features/)  documentation features page.


## [How-tos](https://developry.com/developry-lite/tips-and-tricks/)

Quick and easy step-by-step howtos avaialble at [Developry Lite](https://developry.com/developry-lite/tips-and-tricks/)  documentation tips and tricks page.

## Suggested Plugins

* [Developry Google Fonts](https://github.com/krasenslavov/developry-google-fonts) - WordPress plugin that will load up the 20 most popular Google Fonts in your editor.
* [Contact Form 7](https://contactform7.com/) - Just another contact form plugin. Simple but flexible.

### Support

This theme is provided as is for FREE of use and additional support isn't provided yet. I will add fixes and updates in the future but user requests and modifications won't be accepted.

However, if you are interested please visit our website [Developry](https://developry.com) where you will find an extended (paid) version of the theme as well as multi-purpose theme with many more features that includes support and regular updates.

### Credits

I'd like to give credit where credit is due.

Below is that list with links to all the scripts, media and software that was used to create the Developry WordPress theme.

### WordPress & WordPress Plugins

* [WordPress](https://wordpress.org/) - the CMS
* [TMG Plugin Activation](http://tgmpluginactivation.com/) - plugins installation and activation

### Bootstrap & Bootstrap Dependencies

* [Bootstrap](https://getbootstrap.com/) - HTML, JS & CSS toolkit
* [Bootswatch](https://bootswatch.com/) - bootstrap theme styles
* [jQuery](https://jquery.com/) - JS library framework

### Fonts, Icons and Images

* [Iconic](https://useiconic.com/open) - custom font icons
* [Flaticon](https://flaticon.com/) - social link icons
* [Usplash](https://unsplash.com/) - cover images @greg-rakozy

### License

Copyright (c) 2018 [Developry](https://developry.com).

[GNU GENERAL PUBLIC LICENSE Version 2, June 1991](https://github.com/systemd/systemd/blob/master/LICENSE.GPL2)
